import type { EncodedRegex, RegexSequence } from '../types';
/**
 * Creates a disjunction (choice of) which matches any of the alternatives.
 *
 * @param alternatives - Alternatives to choose from.
 * @returns Choice of alternatives.
 */
export declare function choiceOf(...alternatives: RegexSequence[]): EncodedRegex;
