"use strict";

exports.repeat = repeat;
var _encoder = require("../encoder.js");
var _utils = require("../utils.js");
function repeat(sequence, options) {
  const elements = (0, _utils.ensureElements)(sequence);
  if (typeof options === 'number') {
    return {
      precedence: 'sequence',
      pattern: `${(0, _encoder.encodeAtomic)(elements)}{${options}}`
    };
  }
  return {
    precedence: 'sequence',
    pattern: `${(0, _encoder.encodeAtomic)(elements)}{${options.min},${options?.max ?? ''}}${options.greedy === false ? '?' : ''}`
  };
}
//# sourceMappingURL=repeat.js.map