"use strict";

exports.ensureElements = ensureElements;
exports.ensureText = ensureText;
function ensureElements(sequence) {
  const elements = Array.isArray(sequence) ? sequence : [sequence];
  if (elements.length === 0) {
    throw new Error('Expected at least one element');
  }
  return elements;
}
function ensureText(text) {
  if (text.length === 0) {
    throw new Error('Expected at least one character');
  }
}
//# sourceMappingURL=utils.js.map